> This page is for Taurus PROTECT, version v3.38.
> For other versions, use one of these documentation indexes:
> - v3.58 (default): https://taurushq.ferndocs.com/protect-capital/v3.58/llms.txt
> - v3.56: https://taurushq.ferndocs.com/protect-capital/v3.56/llms.txt
> - v3.54: https://taurushq.ferndocs.com/protect-capital/v3.54/llms.txt
> - v3.52: https://taurushq.ferndocs.com/protect-capital/v3.52/llms.txt
> - v3.50: https://taurushq.ferndocs.com/protect-capital/v3.50/llms.txt
> - v3.48: https://taurushq.ferndocs.com/protect-capital/v3.48/llms.txt
> - v3.46: https://taurushq.ferndocs.com/protect-capital/v3.46/llms.txt
> - v3.44: https://taurushq.ferndocs.com/protect-capital/v3.44/llms.txt
> - v3.42: https://taurushq.ferndocs.com/protect-capital/v3.42/llms.txt
> - v3.40: https://taurushq.ferndocs.com/protect-capital/v3.40/llms.txt
> - v3.38: https://taurushq.ferndocs.com/protect-capital/v3.38/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://taurushq.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://taurushq.ferndocs.com/_mcp/server.

# Get participant by ID

GET https://your-protect-instance.example.com/api/rest/v1/tn/participants/{participantID}

This endpoint returns a Taurus Network participant based on the provided ID.

Reference: https://taurushq.ferndocs.com/protect-capital/v3.46/reference/taurus-network/get-participant

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `participantID` (string, required)

### Query parameters

- `includeTotalPledgesValuation` (boolean, optional) — Include the total aggregated valuation (outgoing and incoming) of the pledges for the participant.

## Response

### 200

A successful response.

- `result` (tgvalidatordTnParticipant, optional)

## Errors

### 400 Bad Request Error

Bad Request: indicates that the server cannot or will not process the request due to something that is perceived to be a client error (for example, malformed request syntax, invalid request message framing, or deceptive request routing)

- `any`

### 401 Unauthorized Error

Unauthorized: indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource

- `any`

### 403 Forbidden Error

Forbidden: indicates that the server understands the request but refuses to authorize it

- `any`

### 404 Not Found Error

Not Found: indicates that the server cannot find the requested resource

- `any`

### 500 Internal Server Error

Internal Server Error: indicates that the server encountered an unexpected condition that prevented it from fulfilling the request

- `any`

### 503 Service Unavailable Error

Service Unavailable: indicates that the server is not ready to handle the request.

- `any`

## Types

### tgvalidatordTnParticipant

- `id` (string, optional)
- `name` (string, optional)
- `legalAddress` (string, optional)
- `country` (string, optional)
- `logoBase64` (string, optional)
- `publicKey` (string, optional)
- `shield` (string, optional)
- `originRegistrationDate` (datetime, optional)
- `originDeletionDate` (datetime, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `details` (tgvalidatordTnParticipantDetails, optional)
- `blockConfirmations` (list of tgvalidatordBlockConfirmations, optional)
- `ownedSharedAddressesCount` (string, optional) — Count of shared addresses where the participant is the owner.
- `targetedSharedAddressesCount` (string, optional) — Count of shared addresses where the participant is the target.
- `outgoingTotalPledgesValuationBaseCurrency` (string, optional) — Total valuation of all outgoing pledges in base currency in main unit (ex. CHF).
- `incomingTotalPledgesValuationBaseCurrency` (string, optional) — Total valuation of all incoming pledges in base currency in main unit (ex. CHF).
- `publicSubname` (string, optional)
- `legalEntityIdentifier` (string, optional)
- `attributes` (list of tgvalidatordTnParticipantAttribute, optional)
- `status` (string, optional)

### tgvalidatordTnParticipantDetails

- `contactPersons` (list of tgvalidatordTnContactPerson, optional)
- `attributesSpecifications` (list of tgvalidatordTnParticipantAttributeSpecification, optional)

### tgvalidatordBlockConfirmations

- `blockchain` (string, optional)
- `network` (string, optional)
- `confirmationsThreshold` (string, optional)

### tgvalidatordTnParticipantAttribute

- `id` (string, optional)
- `key` (string, optional)
- `value` (string, optional)
- `owner` (string, optional)
- `type` (string, optional)
- `subtype` (string, optional)
- `contentType` (string, optional)
- `isTaurusNetworkShared` (boolean, optional)

### tgvalidatordTnContactPerson

- `firstName` (string, optional)
- `lastName` (string, optional)
- `phoneNumber` (string, optional)
- `email` (string, optional)

### tgvalidatordTnParticipantAttributeSpecification

- `attributeKey` (string, optional)
- `attributeType` (string, optional)
- `attributeDescription` (string, optional)

## Examples

**Response**

```json
{
  "result": {
    "id": "string",
    "name": "string",
    "legalAddress": "string",
    "country": "string",
    "logoBase64": "string",
    "publicKey": "string",
    "shield": "string",
    "originRegistrationDate": "2024-01-15T09:30:00Z",
    "originDeletionDate": "2024-01-15T09:30:00Z",
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z",
    "details": {
      "contactPersons": [
        {
          "firstName": "string",
          "lastName": "string",
          "phoneNumber": "string",
          "email": "string"
        }
      ],
      "attributesSpecifications": [
        {
          "attributeKey": "string",
          "attributeType": "string",
          "attributeDescription": "string"
        }
      ]
    },
    "blockConfirmations": [
      {
        "blockchain": "string",
        "network": "string",
        "confirmationsThreshold": "string"
      }
    ],
    "ownedSharedAddressesCount": "string",
    "targetedSharedAddressesCount": "string",
    "outgoingTotalPledgesValuationBaseCurrency": "string",
    "incomingTotalPledgesValuationBaseCurrency": "string",
    "publicSubname": "string",
    "legalEntityIdentifier": "string",
    "attributes": [
      {
        "id": "string",
        "key": "string",
        "value": "string",
        "owner": "string",
        "type": "string",
        "subtype": "string",
        "contentType": "string",
        "isTaurusNetworkShared": true
      }
    ],
    "status": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://your-protect-instance.example.com/api/rest/v1/tn/participants/participantID"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://your-protect-instance.example.com/api/rest/v1/tn/participants/participantID';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://your-protect-instance.example.com/api/rest/v1/tn/participants/participantID"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://your-protect-instance.example.com/api/rest/v1/tn/participants/participantID")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://your-protect-instance.example.com/api/rest/v1/tn/participants/participantID")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-protect-instance.example.com/api/rest/v1/tn/participants/participantID', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://your-protect-instance.example.com/api/rest/v1/tn/participants/participantID");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://your-protect-instance.example.com/api/rest/v1/tn/participants/participantID")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```